< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frs102
  Definition Classes
    accounts
-  package boxes
  Definition Classes
    frs102
-  package loansToDirectors
  Definition Classes
    boxes
-  package relatedPartyTransactions
  Definition Classes
    boxes
- AC106
- AC106A
- AC107
- AC114
- AC114A
- AC114B
- AC115
- AC115A
- AC115B
- AC116
- AC116A
- AC116B
- AC117
- AC117A
- AC117B
- AC118
- AC118A
- AC118B
- AC119
- AC119A
- AC119B
- AC120
- AC120A
- AC120B
- AC121
- AC121A
- AC121B
- AC122
- AC122A
- AC122B
- AC123
- AC123A
- AC123B
- AC124
- AC124A
- AC124B
- AC124C
- AC124D
- AC124E
- AC125
- AC125A
- AC125B
- AC125C
- AC125D
- AC125E
- AC126
- AC126A
- AC126B
- AC126C
- AC126D
- AC126E
- AC127
- AC127A
- AC127B
- AC127C
- AC127D
- AC127E
- AC128
- AC128A
- AC128B
- AC128C
- AC128D
- AC128E
- AC129
- AC129A
- AC129B
- AC129C
- AC129D
- AC129E
- AC130
- AC130A
- AC130B
- AC130C
- AC130D
- AC130E
- AC131
- AC131A
- AC131B
- AC131C
- AC131D
- AC131E
- AC132
- AC132A
- AC132B
- AC132C
- AC132D
- AC132E
- AC133
- AC133A
- AC133B
- AC133C
- AC133D
- AC133E
- AC134
- AC135
- AC136
- AC137
- AC138
- AC138B
- AC139
- AC139B
- AC140
- AC141
- AC142
- AC143
- AC144
- AC145
- AC146
- AC147
- AC148
- AC149
- AC150
- AC150B
- AC151
- AC151B
- AC152
- AC153
- AC154
- AC155
- AC156
- AC157
- AC158
- AC159
- AC160
- AC161
- AC162
- AC163
- AC18
- AC187
- AC188
- AC189
- AC19
- AC190
- AC20
- AC200
- AC200A
- AC209
- AC209A
- AC209B
- AC21
- AC210
- AC210A
- AC210B
- AC211
- AC211A
- AC211B
- AC212
- AC212A
- AC212B
- AC212C
- AC212D
- AC212E
- AC213
- AC213A
- AC213B
- AC213C
- AC213D
- AC213E
- AC214
- AC214A
- AC214B
- AC214C
- AC214D
- AC214E
- AC217
- AC219
- AC22
- AC23
- AC26
- AC27
- AC28
- AC29
- AC30
- AC31
- AC32
- AC320
- AC320A
- AC321
- AC322
- AC323
- AC324
- AC33
- AC34
- AC35
- AC36
- AC37
- AC42
- AC43
- AC44
- AC45
- AC48
- AC49
- AC50
- AC5032
- AC5052A
- AC5052B
- AC5052C
- AC5058A
- AC5064A
- AC5076C
- AC51
- AC5123
- AC5133
- AC52
- AC53
- AC54
- AC55
- AC56
- AC57
- AC58
- AC59
- AC60
- AC61
- AC62
- AC63
- AC64
- AC65
- AC66
- AC67
- AC68
- AC69
- AC70
- AC71
- AC7100
- AC7110A
- AC7200
- AC7210
- AC7210A
- AC7210B
- AC7300
- AC74
- AC7400
- AC7401
- AC75
- AC7500
- AC76
- AC7600
- AC7601
- AC77
- AC7800
- AC7900
- AC7901
- AC80
- AC8084
- AC8085
- AC81
- ACQ5021
- ACQ5022
- ACQ5031
- ACQ5032
- ACQ5033
- ACQ5034
- ACQ5035

c

uk.gov.hmrc.ct.accounts.frs102.boxes

# AC132 

###
Companion object AC132

#### case class AC132(value: Option[Int]) extends CtBoxIdentifier with CtOptionalInteger with BalanceSheetTangibleAssetsCalculator with ValidatableBox[Frs102AccountsBoxRetriever] with Validators with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, ValidatableBox[Frs102AccountsBoxRetriever], ExtraValidation, Validators, BalanceSheetTangibleAssetsCalculator, CtTypeConverters, CtOptionalInteger, OptionalCtValue[Int], CtValue[Option[Int]], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC132
2. Serializable
3. Serializable
4. Product
5. Equals
6. ValidatableBox
7. ExtraValidation
8. Validators
9. BalanceSheetTangibleAssetsCalculator
10. CtTypeConverters
11. CtOptionalInteger
12. OptionalCtValue
13. CtValue
14. CtBoxIdentifier
15. AnyRef
16. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AC132(value: Option[Int])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def And(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
5.  def Or(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
6.  def asBoxString: Option[String]
   Definition Classes
     CtValue
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def asInt: Option[Int]
   Definition Classes
     CtOptionalInteger
9.  def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]
   Attributes
     protected
   Definition Classes
     ValidatableBox
10.  def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
11.  def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
12.  val boxId: String
    Attributes
      protected
    Definition Classes
      Validators
13.  def calculateAC124(ac124A: AC124A, ac124B: AC124B, ac124C: AC124C, ac124D: AC124D, ac124E: AC124E): AC124
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
14.  def calculateAC125(ac125A: AC125A, ac125B: AC125B, ac125C: AC125C, ac125D: AC125D, ac125E: AC125E): AC125
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
15.  def calculateAC126(ac126A: AC126A, ac126B: AC126B, ac126C: AC126C, ac126D: AC126D, ac126E: AC126E): AC126
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
16.  def calculateAC127(ac127A: AC127A, ac127B: AC127B, ac127C: AC127C, ac127D: AC127D, ac127E: AC127E): AC127
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
17.  def calculateAC127A(ac124A: AC124A, ac125A: AC125A, ac126A: AC126A, ac212A: AC212A, ac213A: AC213A): AC127A
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
18.  def calculateAC127B(ac124B: AC124B, ac125B: AC125B, ac126B: AC126B, ac212B: AC212B, ac213B: AC213B): AC127B
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
19.  def calculateAC127C(ac124C: AC124C, ac125C: AC125C, ac126C: AC126C, ac212C: AC212C, ac213C: AC213C): AC127C
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
20.  def calculateAC127D(ac124D: AC124D, ac125D: AC125D, ac126D: AC126D, ac212D: AC212D, ac213D: AC213D): AC127D
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
21.  def calculateAC127E(ac124E: AC124E, ac125E: AC125E, ac126E: AC126E, ac212E: AC212E, ac213E: AC213E): AC127E
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
22.  def calculateAC128(ac128A: AC128A, ac128B: AC128B, ac128C: AC128C, ac128D: AC128D, ac128E: AC128E): AC128
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
23.  def calculateAC129(ac129A: AC129A, ac129B: AC129B, ac129C: AC129C, ac129D: AC129D, ac129E: AC129E): AC129
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
24.  def calculateAC130(ac130A: AC130A, ac130B: AC130B, ac130C: AC130C, ac130D: AC130D, ac130E: AC130E): AC130
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
25.  def calculateAC131(ac131A: AC131A, ac131B: AC131B, ac131C: AC131C, ac131D: AC131D, ac131E: AC131E): AC131
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
26.  def calculateAC131A(ac128A: AC128A, ac129A: AC129A, ac130A: AC130A, ac214A: AC214A): AC131A
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
27.  def calculateAC131B(ac128B: AC128B, ac129B: AC129B, ac130B: AC130B, ac214B: AC214B): AC131B
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
28.  def calculateAC131C(ac128C: AC128C, ac129C: AC129C, ac130C: AC130C, ac214C: AC214C): AC131C
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
29.  def calculateAC131D(ac128D: AC128D, ac129D: AC129D, ac130D: AC130D, ac214D: AC214D): AC131D
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
30.  def calculateAC131E(ac128E: AC128E, ac129E: AC129E, ac130E: AC130E, ac214E: AC214E): AC131E
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
31.  def calculateAC132(ac132A: AC132A, ac132B: AC132B, ac132C: AC132C, ac132D: AC132D, ac132E: AC132E): AC132
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
32.  def calculateAC132A(ac127A: AC127A, ac131A: AC131A): AC132A
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
33.  def calculateAC132B(ac127B: AC127B, ac131B: AC131B): AC132B
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
34.  def calculateAC132C(ac127C: AC127C, ac131C: AC131C): AC132C
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
35.  def calculateAC132D(ac127D: AC127D, ac131D: AC131D): AC132D
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
36.  def calculateAC132E(ac127E: AC127E, ac131E: AC131E): AC132E
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
37.  def calculateAC133(ac133A: AC133A, ac133B: AC133B, ac133C: AC133C, ac133D: AC133D, ac133E: AC133E): AC133
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
38.  def calculateAC133A(ac124A: AC124A, ac128A: AC128A): AC133A
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
39.  def calculateAC133B(ac124B: AC124B, ac128B: AC128B): AC133B
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
40.  def calculateAC133C(ac124C: AC124C, ac128C: AC128C): AC133C
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
41.  def calculateAC133D(ac124D: AC124D, ac128D: AC128D): AC133D
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
42.  def calculateAC133E(ac124E: AC124E, ac128E: AC128E): AC133E
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
43.  def calculateAC212(ac212A: AC212A, ac212B: AC212B, ac212C: AC212C, ac212D: AC212D, ac212E: AC212E): AC212
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
44.  def calculateAC213(ac213A: AC213A, ac213B: AC213B, ac213C: AC213C, ac213D: AC213D, ac213E: AC213E): AC213
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
45.  def calculateAC214(ac214A: AC214A, ac214B: AC214B, ac214C: AC214C, ac214D: AC214D, ac214E: AC214E): AC214
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
46.  def calculateDepreciationOfTangibleAssetsAtEndOfThePeriod(ac128: AC128, ac219: AC219, ac130: AC130, ac214: AC214): AC131
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
47.  def calculateNetBookValueOfTangibleAssetsAEndOfPreviousPeriod(ac217: AC217, ac131: AC131): AC132
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
48.  def calculateNetBookValueOfTangibleAssetsAEndOfThePeriod(ac124: AC124, ac128: AC128): AC133
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
49.  def calculateTangibleAssetsAtTheEndOFThePeriod(ac124: AC124, ac125: AC125, ac126: AC126, ac212: AC212, ac213: AC213): AC217
    Definition Classes
      BalanceSheetTangibleAssetsCalculator
50.  def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
51.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
52.  def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
53.  def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
54.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
    Definition Classes
      CtTypeConverters
55.  implicit def convert(catoInt: CtOptionalInteger): Int
    Definition Classes
      CtTypeConverters
56.  implicit def convert(catoInt: CtInteger): Int
    Definition Classes
      CtTypeConverters
57.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
58.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
59.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
60.  def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
61.  def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED, errorMsg: String = "exceeds.max")(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
62.  def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
63.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
64.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
65.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
66.  def id: String
    Definition Classes
      CtBoxIdentifier
67.  def isEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
68.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
69.  def isPositive: Boolean
    Definition Classes
      CtOptionalInteger
70.  def minus(other: Int): Int
    Definition Classes
      CtOptionalInteger
71.  def minus(other: CtInteger): Int
    Definition Classes
      CtOptionalInteger
72.  def minus(other: CtOptionalInteger): Int
    Definition Classes
      CtOptionalInteger
73.  val name: String
    Definition Classes
      CtBoxIdentifier
74.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
75.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
76.  def nonEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
77.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
78.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
79.  def orZero: Int
    Definition Classes
      CtOptionalInteger
80.  def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
81.  def plus(other: Int): Int
    Definition Classes
      CtOptionalInteger
82.  def plus(other: CtInteger): Int
    Definition Classes
      CtOptionalInteger
83.  def plus(other: CtOptionalInteger): Int
    Definition Classes
      CtOptionalInteger
84.  val postCodeRegex: String
    Attributes
      protected
    Definition Classes
      ExtraValidation
85.  def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
86.  def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
87.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
88.  def validate(boxRetriever: Frs102AccountsBoxRetriever): Set[CtValidation]
    Definition Classes
      AC132 → ValidatableBox
89.  def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
90.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
91.  def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
92.  def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
93.  def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
94.  def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
95.  def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
96.  def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
97.  def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
98.  def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
99.  def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
100.  def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
101.  def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
102.  def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
103.  def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
104.  def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
105.  def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
106.  def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]
     Definition Classes
       ExtraValidation
107.  def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
108.  def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
109.  def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
110.  def validateMoney(value: Option[Int], min: Int = -99999999, max: Int = 99999999)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       Validators
111.  def validateNetBookValueMatchesTotalAssets(boxRetriever: Frs102AccountsBoxRetriever)(): Set[CtValidation]
112.  def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
113.  def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
114.  def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
115.  def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
116.  def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]
     Definition Classes
       ExtraValidation
117.  def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
118.  def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
119.  def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
120.  def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
121.  def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
122.  def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
123.  def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]
     Definition Classes
       ExtraValidation
124.  def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
125.  def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
126.  def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
127.  def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
128.  def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
129.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
130.  def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
131.  def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
132.  def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
133.  def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
134.  def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
135.  def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
136.  def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
137.  def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
138.  def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
139.  def validateZeroOrPositiveInteger(boxId: String, value: Option[Int]): Set[CtValidation]
     Definition Classes
       ExtraValidation
140.  val validationSuccess: Set[CtValidation]
     Definition Classes
       ValidatableBox
141.  val value: Option[Int]
     Definition Classes
       AC132 → CtValue
142.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
143.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
144.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ValidatableBox[Frs102AccountsBoxRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from BalanceSheetTangibleAssetsCalculator

### Inherited from CtTypeConverters

### Inherited from CtOptionalInteger

### Inherited from OptionalCtValue[Int]

### Inherited from CtValue[Option[Int]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped